#include <iostream>
#include <vector>
#include <math.h>
using namespace std;

int main()
{
	int N;
	double M;
	cin >> N;
	cin >> M;

	//read values
	vector<double> p;
	for(int i = 0;i<N;i++){
		double m,s;
		cin >> m;
		cin >> s;
		p.push_back((m+M)/s);
	}

	//find average pressure
	double avg = 0;
	for(int i = 0;i<N;i++){
		avg+=p[i]/N;
	}

	//find closest to average
	double minDiff = fabs(p[0]-avg);
	int closestI = 1;
	for(int i = 0;i<N;i++){
		double diff = fabs(p[i]-avg);
		if(diff<minDiff){
			minDiff = diff;
			closestI = i+1;
		}
	}

	cout << closestI;
	return 0;
}

