#include <iostream>
#include <cmath>
#include <string>
#include <vector>
#include <algorithm>
#include <set>

typedef long long ll;
typedef double dd;
typedef double long dl;

using namespace std;

dl find_res(ll a, ll b, vector<dl>& r, dl s)
{
	dl tmp1 = pow(r[a], -1) + pow(r[b], -1);
	tmp1 = pow(tmp1, -1);
	return abs(tmp1 - s);
}

int main()
{
	ll n; cin >> n;
	vector<dl> r(n);
	dl s; cin >> s;
	pair<ll, ll> res = make_pair(0, 1);
	for (ll i = 0; i < n; i++)
		cin >> r[i];
	for (ll i = 0; i < n; i++)
	{
		for (ll j = 0; j < n; j++)
		{
			if (i == j)
				continue;
			if (find_res(i, j, r, s) < find_res(res.first, res.second, r, s))
				res = make_pair(i, j);
		}
	}
	
	cout << min(res.first, res.second) + 1 << ' ' << max(res.first, res.second) + 1;
}